Bug 511256 - F11: DeviceKit error for second user when first user mounts CD or USB thumb drive
F11: DeviceKit error for second user when first user mounts CD or USB thumb d...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: DeviceKit-disks (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 09:16 EDT by dedded
Modified: 2013-03-05 22:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:37:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dedded 2009-07-14 09:16:44 EDT
Description of problem:

User Bob logs in.  Then switch user is called and user Sue logs in.  Then switch user is called again and Bob logs in again.  Bob now mounts a CD (or a USB thumb drive), everything works fine.  Bob ejects the CD.  Then switch user to Sue.  Sue now sees an error dialog box with this message:

Unable to mount <label-of-CD>
org.freedesktop.PolicyKit.Error.NotAuthorized:
org.freedesktop.devicekit.disks.filesystem-mount no  [rest is truncated]


Version-Release number of selected component (if applicable):

DeviceKit-disks-004-3.fc11.x86_64

How reproducible:

See above. 

Expected Results:

I don't expect to see the error message.
Comment 1 Bug Zapper 2010-04-27 11:40:02 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 dedded 2010-04-27 19:06:53 EDT
F11 is the most recent Fedora that I have installed, so I can't comment on whether or not the bug has since been fixed.

I also don't understand why the priority of this bug was ever marked low.  (Unless it is somehow hardware specific and most people aren't affected.)  This bug made F11 untenable for me (had to switch distros).  This machine is the primary computer for our family, all of whom have cameras with memory cards.  Naturally, we hit "switch-user" all the time, and frequently have a card to mount in one of those USB card readers.  This just didn't work with F11.

You won't encounter this bug on a system only used by one user, or if only one user mounts USB sticks and cards.  But you hit it all the time on a regular family computer.

Unless this is a rare, hardware-specific, issue, and unless it has already been solved, I would recommend that it be fixed.
Comment 3 dedded 2010-04-27 19:10:26 EDT
Sorry, I just conflated this with bug #511258, to which the above comment should actually apply.
Comment 4 Bug Zapper 2010-06-28 09:37:14 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.